## gfapy 1.0.0%2Bdfsg

=== Makefile ===
default: tests

.PHONY: manual tests cleanup upload conda sdist wheel install

PYTHON=python3
PIP=pip3

# Install using pip
install:
	${PIP} install --upgrade --user --editable .

# Source distribution
sdist:
	${PYTHON} setup.py sdist

# Pure Python Wheel
wheel:
	${PYTHON} setup.py bdist_wheel

# Create the manual
manual:
	cd doc && make latexpdf
	mkdir -p manual
	cp doc/_build/latex/Gfapy.pdf manual/gfapy-manual.pdf


# Run unit tests
tests:
	cd doc && make doctest
	@echo
	@echo "Running unit test suite..."
	@PYTHONHASHSEED=0 ${PYTHON} -m unittest discover

# Remove distribution files
cleanup:
	rm -rf dist/ build/ gfapy.egg-info/

upload: tests cleanup sdist wheel
	cd dist; \
  	for file in *; do \
	   	twine register $$file; \
		  twine upload $$file; \
		done

conda:
	mkdir -p conda
	cd conda; \
		conda skeleton pypi gfapy; \
		conda build gfapy

=== debian/control ===
Source: gfapy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-dev,
               python3-setuptools,
               python3-nose,
               txt2man
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/gfapy
Vcs-Git: https://salsa.debian.org/med-team/gfapy.git
Homepage: https://github.com/ggonnella/gfapy

Package: python3-gfapy
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: flexible and extensible software library for handling sequence graphs
 The Graphical Fragment Assembly (GFA) are formats for the representation of
 sequence graphs, including assembly, variation and splicing graphs. Two
 versions of GFA have been defined (GFA1 and GFA2) and several sequence
 analysis programs have been adopting the formats as an interchange format,
 which allow the user to easily combine different sequence analysis tools.
 .
 This library implements the GFA1 and GFA2 specification. It is possible to
 create a Gfa object from a file in the GFA format or from scratch, to
 enumerate the graph elements (segments, links, containments, paths and header
 lines), to traverse the graph (by traversing all links outgoing from or
 incoming to a segment), to search for elements (e.g. which links connect two
 segments) and to manipulate the graph (e.g. to eliminate a link or a segment
 or to duplicate a segment distributing the read counts evenly on the copies).
 .
 The GFA format can be easily extended by users by defining own custom tags
 and record types. In Gfapy, it is easy to write extensions modules, which
 allow one to define custom record types and datatypes for the parsing and
 validation of custom fields. The custom lines can be connected, using
 references, to each other and to lines of the standard record types.

## gfapy 1.0.0+dfsg

=== debian/changelog ===
gfapy (1.0.0+dfsg-4build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:31:20 +0000

gfapy (1.0.0+dfsg-4) unstable; urgency=medium

  * Add missing build-dep on dh-python, fixing FTBFS.
  * Use debhelper 12 and debhelper-compat.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 14 Jan 2020 12:00:19 +0100

gfapy (1.0.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop unneeded Testsuite field
  * Do not parse d/changelog
  * Binary package in section python

 -- Andreas Tille <tille@debian.org>  Mon, 24 Sep 2018 11:17:29 +0200

gfapy (1.0.0+dfsg-2) unstable; urgency=medium

  * Fix upstream info YAML.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 11 Aug 2017 14:54:26 -0400

gfapy (1.0.0+dfsg-1) unstable; urgency=low

  * Initial packaging (Closes: #869969)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 28 Jul 2017 11:35:53 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export PYBUILD_NAME=gfapy

include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
DATE=$(shell date --date=@$(SOURCE_DATE_EPOCH) '+%d %B %Y')

MANPAGES=debian/man/gfapy-convert.1 \
		 debian/man/gfapy-mergelinear.1 \
		 debian/man/gfapy-validate.1

%.1: %.1.txt
	TZ=UTC LC_ALL=C \
      txt2man -d "$(DATE)" \
	 	  -s 1 -r "gfapy $(DEB_VERSION_UPSTREAM)" \
	  	  -t $(shell basename -a -s.1 $@) \
	  	  $< > $@

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf debian/man/*.1
	dh_auto_clean --

override_dh_installman: $(MANPAGES)
	dh_installman

override_dh_auto_test:
	# pass

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repack,compression=xz \
https://github.com/ggonnella/gfapy/releases .*/archive/(\d[\d.-]+)\.zip

## gfapy 1.1.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -23,13 +23,15 @@
 	mkdir -p manual
 	cp doc/_build/latex/Gfapy.pdf manual/gfapy-manual.pdf
 
+doctest:
+	cd doc && make doctest
 
-# Run unit tests
-tests:
-	cd doc && make doctest
+unittests:
 	@echo
 	@echo "Running unit test suite..."
 	@PYTHONHASHSEED=0 ${PYTHON} -m unittest discover
+
+tests: doctest unittests
 
 # Remove distribution files
 cleanup:

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Gfapy
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

cleanup:
	rm source _build -rf

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@PYTHONHASHSEED=0 $(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
gfapy (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper 13.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 30 May 2020 17:57:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-dev,
                python3-setuptools,
                python3-nose,
                txt2man
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/gfapy
 Vcs-Git: https://salsa.debian.org/med-team/gfapy.git
 Homepage: https://github.com/ggonnella/gfapy

## gfapy 1.2.2+dfsg

=== debian/changelog ===
gfapy (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 21 Jan 2022 11:24:22 +0100

gfapy (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 14 Nov 2021 11:08:01 +0100

gfapy (1.2.0+dfsg-2) unstable; urgency=medium

  * Fix watchfile to check /tags.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 31 Oct 2021 17:24:29 +0100

gfapy (1.2.0+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Use watchfile version 4.
  * Update override to include all installed binaries.
  * New upstream version
  * Standards-Version: 4.6.0
  * Add manpage for gfapy-renumber.
  * Add Rules-Requires-Root.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 29 Sep 2021 10:25:09 +0200

## gfapy 1.2.3%2Bdfsg

=== debian/changelog ===
gfapy (1.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 07 Feb 2022 15:34:57 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                python3-setuptools,
                python3-nose,
                txt2man
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/gfapy
 Vcs-Git: https://salsa.debian.org/med-team/gfapy.git
 Homepage: https://github.com/ggonnella/gfapy

## gfapy 1.2.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 upload: tests cleanup sdist wheel
 	cd dist; \
   	for file in *; do \
-	   	twine register $$file; \
+		  twine check $$file && \
 		  twine upload $$file; \
 		done

=== debian/changelog ===
gfapy (1.2.3+dfsg-3) unstable; urgency=medium

  * Add patch to use raw strings where regexes are included.
    Closes: #1085607
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Bump copyright date for debian/ directory.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 27 Oct 2024 11:12:43 +0100

gfapy (1.2.3+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to port tests from nose to pytest
    (Closes: #1018365)
  * d/rules: Enable build time tests
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Dec 2022 20:49:15 +0530

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                python3,
                python3-dev,
                python3-setuptools,
-               python3-nose,
+               python3-pytest,
                txt2man
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/gfapy
 Vcs-Git: https://salsa.debian.org/med-team/gfapy.git

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 MANPAGES=debian/man/gfapy-convert.1 \
 		 debian/man/gfapy-mergelinear.1 \
+		 debian/man/gfapy-renumber.1 \
 		 debian/man/gfapy-validate.1
 
 %.1: %.1.txt
@@ -28,6 +29,3 @@
 
 override_dh_installman: $(MANPAGES)
 	dh_installman
-
-override_dh_auto_test:
-	# pass
